<script lang="ts">
    export let value
    export let options = []
    export let disabled = false
    export let inactive = false
</script>

<div class="select" class:inactive={inactive || disabled} class:disabled={disabled}>
    <select bind:value={value} {disabled}>
        {#each options as option}
            <option value={option.value ?? option}>{option.name ?? option}</option>
        {/each}
    </select>
    <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' aria-hidden="true" focusable="false">
        <path fill='none' stroke-linecap="round" stroke-linejoin="round" stroke-width='1.6'
              d='M5 7L8 10L11 7'/>
    </svg>
</div>

<style>
    select {
        /* A reset of styles, including removing the default dropdown arrow*/
        appearance: none;
        /* Additional resets for further consistency*/
        background-color: transparent;
        border: none;
        padding: 0 1.8em 0 0.4em;
        margin: 0;
        font-family: inherit;
        font-size: inherit;
        cursor: inherit;
        line-height: inherit;
        outline: none;
    }

    .select {
        position: relative;
        line-height: 1.8em;
        background-color: #fff;
        display: inline-block;
    }

    .select:not(.disabled) {
        cursor: pointer;
    }

    svg {
        right: 0;
        top: 0;
        line-height: 1.1;
        position: absolute;
        width: 1.8em;
        height: 1.8em;
        pointer-events: none;
    }

    .select path {
        @apply stroke-donkerblauw;
    }
    .select.inactive path {
        @apply stroke-grijs-4;
    }

</style>

